﻿/******************************Global Variables********************************/

:root {
  --Fliegel-darkblue: #222669;
  --lightgrey: lightgrey;
  --Fliegel-white: #fff;
  --Fliegel-blue: #00a3ff;
  --grey: #ced4da;
  --resolution1024: 1024px;
  --resolution575: 575px;
  --resolution425: 425px;
  --resolution375: 375px;
}

/******************************End Global Variables****************************/

BODY {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
  font-family: "Montserrat", sans-serif;
  --sb-track-color: #232e33;
  --sb-thumb-color: #6baf8d;
  --sb-size: 4px;
}

/******************************Nice scroll bars******************************/
/*
body::-webkit-scrollbar {
  width: var(--sb-size)
}

body::-webkit-scrollbar-track {
  background: var(--Fliegel-white);
  border-radius: 3px;
}

body::-webkit-scrollbar-thumb {
  background: var(--lightgrey);
  border-radius: 3px;

}

@supports not selector(::-webkit-scrollbar) {
  body {
    scrollbar-color: var(--lightgrey)
                     var(--Fliegel-white);
  }
}
   */
/************************Login screen******************************************/
.wcCLOuterContainer{
 /* padding-bottom: 8%; */
  /*margin-bottom:3%;  */
}

.wcCLLoginMainContainer{
  padding-bottom: 5%;
  margin-bottom:3%;
}

.wcCLLangList{
  list-style-type: none;
}

.img-logo {
  max-width: 80%;
  height: auto;
}

.card-container {
  border-radius: 15px;
  box-shadow: 3px 3px 8px 5px var(--lightgrey) !important;
}

.card {
  border: 1px solid rgba(219, 219, 219, 1);
}

.wcCLLoginBtn {
  transition: 0.25s;
}

.btn-primary:hover {
  box-shadow: rgba(0, 0, 0, 0.2) 0px 5px 10px;
  transform: translateY(-2px);
  background-color: var(--Fliegel-darkblue);
  border-color: var(--Fliegel-darkblue);
  color: var(--Fliegel-white);
}

.btn:hover {
  background-color: var(--Fliegel-darkblue);
  border-color: var(--Fliegel-darkblue);
  color: var(--Fliegel-white);
}

.btn:focus {
  outline: none;
}

.btn-primary {
  background-color: var(--Fliegel-darkblue);
  border-color: var(--Fliegel-darkblue);
  border-radius: 40px;
  width: 100%;
  color: var(--Fliegel-white);
  font-size: 1.1rem;
}

.wcCLLoginText {
  color: var(--Fliegel-darkblue);
  font-size: 2.1rem;
}

.wcCLCheckBox {
  color: var(--Fliegel-darkblue);
  font-size: 1rem;
}

.wcCLFormControl {
  color: var(--Fliegel-darkblue);
  border: none;
  border-bottom: 1px solid var(--grey);
  border-radius: 4px 4px 0 0;
  font-size: 1.3rem;
  font-weight: 600;
  line-height: 1.5;
  width: 100%;
}

.wcCLFormControl:focus {
  color: var(--Fliegel-darkblue);
  border-bottom: 1px solid var(--Fliegel-blue);
}

.card-body{
  padding: 1rem 2rem;
}

.wcCLLoginInner{
  padding: 2rem 4rem !important;
}

input:focus {
  outline: 0 none !important;
  box-shadow: none !important;
  outline-color: transparent !important;
}

.dropdown:hover>.dropdown-menu {
  display: block;
}

.wcCLLangContainer, .wcCLPlaceholderContainer{
  min-width: 10%;
}

.wcCLLangListDropdown{
  min-width: 90px;
}


/*************************Main menu and hamburger******************************/

.sidenav {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 1;
  top: 0;
  right: 0;
  background-color: var(--Fliegel-darkblue);
  overflow-x: hidden;
  padding-top: 80px;
  transition: 0.5s;
}

.wcCLSideNavListItem {
  padding: 0px 0px 8px 0px;
  display: block;
  transition: 0.3s;
}

.sidenav .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
  margin-top: 30px;
  margin-right: 6px;
}

.wcCLHamburgerBtn {
  border: none;
  background-color: var(--Fliegel-white);
}

.wcCLHamburgerIcon,
.wcCLNavIcons {
  color: var(--Fliegel-darkblue);
  font-size: 34px;
  background-color: var(--Fliegel-white);
  border: none;
}

.wcCLNavIcons:hover,
.wcCLHamburgerIcon:hover {
  color: var(--Fliegel-blue);
  font-size: 34px;
  background-color: var(--Fliegel-white);
  border: none;
}

.container-fluid {
  padding-right: 0px;
}

.wcCLCloseIcon {
  color: var(--Fliegel-blue);
}

.wcCLCloseIcon:hover {
  color: var(--Fliegel-white);
}

.wcCLSideNavItem {
  font-size: 1.6rem;
  font-weight: 600;
  color: var(--Fliegel-white);
  text-decoration: none;
}

.wcCLSideNavItem:hover {
  color: var(--Fliegel-blue);
}

.wcCLNavBar {
  max-height: 120px;
}

.wcCLNavLogo {
  width: 18rem;
}

.wcCLCardImg {
  width: 100px;
}

.wcCLCardOuterContainer {
  width: 80%;
}

.wcCLCardItem:hover {
  background-color: #eeeeee;
  cursor: pointer;
}

.wcCLCardText {
  font-size: 1.2rem;
}

/*****************************Orders page**************************************/

#wcIDContent {
  position: relative;
}

#wcIDOrdersContainer .row {
  margin-left: 0px;
  margin-right: 0px;
}

.wcCLMainContainer {
  margin-left: 1.2rem;
  margin-right: 1.2rem;
}

.wcCLSearchBtn {
  width: 120px;
}

.wcCLDateLbl {
  font-size: 1.5rem;
}

.wcCLDateContainer {
  margin-left: 0;
  margin-right: 0;
}

.wcCLDateInput {
  height: 2rem;
  font-size: 1rem;
  border-radius: 8px;
  border: 1px solid black;
  padding: 5px;
  width: 90%;
}

.wcCLDateContainer {
  height: 120px;
}

#wcIDOrdersTbl thead {
  font-size: 1.2rem;
}

#wcIDOrdersTbl tbody {
  font-size: 1rem;
}

#wcIDOrdersTbl tr:nth-of-type(2n) {
  background-color: hsl(0 0% 94%);
}

#wcIDOrdersTbl th {
  background-color: hsl(0 0% 35%);
  color: var(--Fliegel-white);
}

#wcIDOrdersTbl tr:hover {
  background-color: var(--Fliegel-blue);
  color: var(--Fliegel-white);
  cursor: pointer;
}


/*****************************Logistic page**************************************/

#wcIDContent {
  position: relative;
}

#wcIDLogisticContainer .row {
  margin-left: 0px;
  margin-right: 0px;
}

.wcCLLogisticMainContainer {
  margin-left: 1.2rem;
  margin-right: 1.2rem;
}


#wcIDLogisticTbl thead {
  font-size: 1.2rem;
}

#wcIDLogisticTbl tbody {
  font-size: 1rem;
}

/*#wcIDLogisticTbl tr:nth-of-type(2n) {
  background-color: hsl(0 0% 94%);
}

#wcIDLogisticTbl th {
  background-color: hsl(0 0% 35%);
  color: var(--Fliegel-white);
}
*/
.wcCLLogisticRowRed {
  background-color: hsl(0 50% 75%);
}

.wcCLLogisticRowGreen {
  background-color: hsl(120 50% 75%);
}

#wcIDLogisticTbl tr:hover {
  background-color: var(--Fliegel-blue);
  color: var(--Fliegel-white);
  cursor: pointer;
}


/*****************************Users page**************************************/

#wcIDContent {
  position: relative;
}

#wcIDUsersContainer .row {
  margin-left: 0px;
  margin-right: 0px;
}

.wcCLMainContainer {
  margin-left: 1.2rem;
  margin-right: 1.2rem;
}

.wcCLUsersContainer {
  margin-left: 0;
  margin-right: 0;
}

.wcCLUsersContainer {
  height: 120px;
}

.wcCLNewUserBtn {
  width: 20%;
}

#wcIDUsersTbl thead {
  font-size: 1.2rem;
}

#wcIDUsersTbl tbody {
  font-size: 1rem;
}

#wcIDUsersTbl tr:nth-of-type(2n) {
  background-color: hsl(0 0% 94%);
}

#wcIDUsersTbl th {
  background-color: hsl(0 0% 35%);
  color: var(--Fliegel-white);
}

#wcIDUsersTbl tr:hover {
  background-color: var(--Fliegel-blue);
  color: var(--Fliegel-white);
  cursor: pointer;
}

/*****************************User page *****************************/

#wcIDUserContent {
  position: relative;
}

#wcIDUserContainer .row {
  margin-left: 0px;
  margin-right: 0px;
}

.wcCLUserLbl {
  color: var(--Fliegel-darkblue);
}

.wcCLSaveUserBtn {
  width: 20%;	
}


/*****************************Container Info page *****************************/

.wcCLLaundryLbl {
  white-space: nowrap;
}

.wcCLUpdateBtn {
  width: 20%;
}

.wcCLControlContainer {
  justify-content: center;
}

.wcCLCommentInput {
  resize: none;
}

.wcCLContainerLbl,
.wcCLLaundryLbl {
  color: var(--Fliegel-darkblue);
}

.wcCLOrdersInfo {
 font-weight: bold;
 font-size: 1rem;
}



/******************************* Media queries*********************************/
@media screen and (max-width: 1920px) {
  .wcCLUpdateBtn {
    width: 25%;
  }
  
  .wcCLNewUserBtn {
    width: 25%;
  }
}

@media screen and (max-width: 1400px) {
  .wcCLCardOuterContainer {
    width: 90%;
  }

  .wcCLUpdateBtn {
    width: 30%;
  }
  
  .wcCLNewUserBtn {
    width: 30%;
  }  
}

@media screen and (max-width: 1200px) {
}

@media screen and (max-width: 1024px) {
  .wcCLLoginText {
    font-size: 1.8rem;
  }

  .wcCLFormControl {
    font-size: 1.2rem;
  }

  .wcCLNavNames {
    position: absolute;
    top: 10px;
    left: 50%;
    transform: translate(-50%, 88px);
  }

  .navbar {
    align-items: start;
  }

  .wcCLNavBar {
    max-height: 150px;
    height: 150px;
  }
}

@media screen and (max-width: 910px) {
  .wcCLHamburgerListItem {
    margin-right: 15px !important;
    margin-left: 8px !important;
  }
}

@media screen and (max-width: 856px) {
  .wcCLListItemIcon {
    display: none;
  }

  .wcCLHamburgerListItem {
    width: 100%;
  }

  .wcCLHamburgerListItem {
    text-align: right;
  }
}

@media screen and (max-width: 768px) {
  .wcCLCardOuterContainer {
    width: 95%;
  }

  .wcCLSearchBtn {
    width: 70%;
  }

  .wcClDatelblContainer {
    padding-right: 0px;
  }

  .wcCLInnerContainer {
    padding-left: 1rem !important;
    padding-right: 1rem !important;
  }

  #wcIDOrdersTbl thead {
    font-size: 1rem;
  }

  #wcIDOrdersTbl tbody {
    font-size: 0.8rem;
  }

  .card-body {
    padding: 2rem;
  }
}

@media screen and (max-width: 575px) {
  .container {
    width: 96%;
  }

  .wcCLUserIcon {
    width: 40%;
  }

  .wcCLLoginInner{
  padding: 1.2rem 3.5rem !important;
  }

  .wcCLCheckBox {
  font-size: 0.8rem;
}

  .wcCLLoginText {
    font-size: 1.6rem;
  }

  .wcCLFormControl::placeholder {
    font-size: 1.1rem;
  }

  .wcCLDateContainer {
    display: flex;
    flex-direction: row;
  }

  .wcCLSearchBtn {
    width: 180px;
  }

  .wcCLNavLogo {
    width: 15rem;
  }

  .wcCLNavNames {
    transform: translate(-50%, 68px);
  }

  .wcCLNavBar {
    max-height: 130px;
    height: 130px;
  }

  .wcCLDateContainer {
    display: grid;
    grid-template-columns: 1fr 1fr;
  }

  .wcClDatelblContainer {
    text-align: center !important;
  }

  .wcCLSearchBtnContainer {
    text-align: center;
    grid-column: 1/3;
  }

  /*
  .wcIDPlaceholderContainer{
    display: none;
  }
  */

  .wcCLLoginMainContainer{
    margin-left: 2%;
    margin-right: 2%;
    padding-left: 0px;
    padding-right: 0px;
  }

  .wcCLMainContainer{
    margin-left: 1%;
    margin-right: 1%;
  }

  .wcCLHamburgerListItem {
    margin-right: 10px !important;
    margin-left: 6px !important;
  }

  .wcCLLanguageDropdown{
    padding: 1%;
  }
}

@media screen and (max-width: 425px) {
  .wcCLLoginBtn {
    font-size: 1rem;
  }

  .card-body {
    padding: 1rem 1.5rem;
  }

  .wcCLCardText {
    font-size: 1rem;
  }

  .wcCLMainContainer {
    margin-left: 0.2rem;
    margin-right: 0.2rem;
  }

  .wcCLControlContainer {
    font-size: 0.8rem;
  }

  .wcCLNavLogo {
    width: 12rem;
  }

  .wcCLNavNames {
    transform: translate(-50%, 55px);
  }

  .wcCLNavBar {
    max-height: 115px;
    height: 115px;
  }

  .wcCLUpdateBtn {
    width: 70%;
  }
  
  .wcCLNewUserBtn {
    width: 70%;
  }

  #wcIDOrdersTbl thead {
    font-size: 0.8rem;
  }

  #wcIDOrdersTbl tbody {
    font-size: 0.7rem;
  }

  .wcCLLaundryLbl {
    font-weight: 600;
  }

  .card-body {
    padding: 2rem 1rem;
  }

  .wcCLOrdersInfo {
    font-size: 0.8rem;
  }
}

@media screen and (max-width: 375px) {
  .wcCLLoginBtn {
    font-size: 0.8rem;
  }

  .wcCLFormControl::placeholder {
    font-size: 1rem;
  }

  .wcCLFormControl {
    font-size: 1rem;
  }

  .wcCLLoginText {
    font-size: 1.5rem;
  }

  /*.container {
    width: 100%;
  }
  */

  .wcCLNavLogo {
    width: 10rem;
  }

  .wcCLNavNames {
    transform: translate(-50%, 45px);
  }

  .wcCLNavBar {
    max-height: 105px;
    height: 105px;
  }
}

/*******************************End Media queries******************************/

